import React from 'react';
import i18n from 'ui-i18n';
import CommentIcon from '../../../icons/CommentBubble';
import { BasicCommentButton } from '../BasicCommentButton';
import { useStyles } from './styles';
export var CommentButton = React.forwardRef(function (_a, ref) {
    var children = _a.children, onClick = _a.onClick;
    var styles = useStyles();
    return (React.createElement(BasicCommentButton, { ref: ref, tooltipTitle: i18n.text('Show comment'), icon: CommentIcon, onClick: onClick, "data-reltio-id": "reltio-comment-button" },
        React.createElement("div", { className: styles.childrenWrapper }, children)));
});
CommentButton.displayName = 'CommentButton';
